Subject: Re: linux-next: manual merge of the gfs2 tree with the vfs tree

From: Al Viro <[email-masked]>
Date: Fri, 11 Jun 2021 01:46:24 +0000

On Fri, Jun 11, 2021 at 11:12:31AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the gfs2 tree got conflicts in:
> 
>   Documentation/filesystems/porting.rst
>   include/linux/uio.h
>   lib/iov_iter.c
> 
> between various commits from the vfs tree and the same, older version,
> of the commits from the gfs2 tree.
> 
> I fixed it up (I used the vfs tree versions) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

IMO iov_iter_fault_in_writeable() is a bloody bad idea to start with...